Commit 5e055770 authored by Hugo Beauzée-Luyssen's avatar Hugo Beauzée-Luyssen

cmake: Avoid potential confusion with qt5 specific function

parent 1303fb1d
......@@ -127,6 +127,10 @@ if (NOT FORCE_QT4)
endif()
message(STATUS "Found Qt5! Be aware that Qt5-support is still experimental and not officially supported!")
macro(qt_use_modules)
qt5_use_modules(${ARGN})
endmacro()
macro(qt_wrap_ui)
qt5_wrap_ui(${ARGN})
endmacro()
......@@ -151,7 +155,7 @@ else()
macro_optional_find_package(Qt4 4.7.0 COMPONENTS ${NEEDED_QT4_COMPONENTS} )
macro_log_feature(QT4_FOUND "Qt" "A cross-platform application and UI framework" "http://qt.nokia.com" TRUE "" "If you see this, although libqt4-devel is installed, check whether the \n qtwebkit-devel package and whatever contains QtUiTools is installed too")
macro(qt5_use_modules)
macro(qt_use_modules)
endmacro()
macro(qt_wrap_ui)
......
......@@ -105,7 +105,7 @@ IF (NOT WITH_GUI)
LIST (APPEND VLMC_SRCS Main/main.cpp Renderer/ConsoleRenderer.cpp )
QT_ADD_RESOURCES(VLMC_RCC_SRCS ${VLMC_RCC})
ADD_EXECUTABLE(vlmc ${GUI_TYPE} ${VLMC_SRCS} ${VLMC_MOC_SRCS} ${VLMC_RCC_SRCS})
qt5_use_modules(vlmc Core Xml Network)
qt_use_modules(vlmc Core Xml Network)
TARGET_LINK_LIBRARIES(vlmc ${VLMC_LIBS})
#Add GUI stuff if required
......@@ -252,7 +252,7 @@ ELSE(NOT WITH_GUI)
ADD_EXECUTABLE( vlmc ${GUI_TYPE} ${VLMC_SRCS} ${VLMC_MOC_SRCS} ${VLMC_UIS_H} ${VLMC_RCC_SRCS} )
TARGET_LINK_LIBRARIES( vlmc ${VLMC_LIBS} )
qt5_use_modules(vlmc Core Gui Widgets Xml Network)
qt_use_modules(vlmc Core Gui Widgets Xml Network)
ENDIF( NOT WITH_GUI )
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment